Last Comment Bug 778495 - pymake APIs for inspecting expansions and functions
: pymake APIs for inspecting expansions and functions
Status: RESOLVED FIXED
[pymake]
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla17
Assigned To: Gregory Szorc [:gps]
:
: Gregory Szorc [:gps]
Mentors:
Depends on: 769976
Blocks: 769414
  Show dependency treegraph
 
Reported: 2012-07-28 16:06 PDT by Gregory Szorc [:gps]
Modified: 2012-08-07 07:36 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Part 1: Add new Expansion APIs (7.32 KB, patch)
2012-07-28 16:06 PDT, Gregory Szorc [:gps]
no flags Details | Diff | Splinter Review
Part 2: Add new Function APIs; round out Expansion APIs, v1 (8.68 KB, patch)
2012-07-28 16:06 PDT, Gregory Szorc [:gps]
no flags Details | Diff | Splinter Review
Part 1: Add new Expansion APIs, v2 (7.29 KB, patch)
2012-07-28 16:28 PDT, Gregory Szorc [:gps]
no flags Details | Diff | Splinter Review
Part 2: Add new Function APIs; round out Expansion APIs, v2 (10.24 KB, patch)
2012-07-28 16:28 PDT, Gregory Szorc [:gps]
no flags Details | Diff | Splinter Review

Description Gregory Szorc [:gps] 2012-07-28 16:06:09 PDT
Created attachment 646918 [details] [diff] [review]
Part 1: Add new Expansion APIs

As part of bug 769414, I want to add some basic APIs to pymake expansions and functions.

The changes in the patches is mostly non-invasive. The only change that impacts existing flow is I made a common base class for StringExpansion and Expansion: BaseExpansion. On this, I define a common interface. Currently, that interface adds some new functionality around querying an expansion instance. These are mostly helper functions that will be used for code that will come later in bug 769414.

The patches are applied after the one in bug 769976. I don't believe it requires any functionality from that patch. I can rebase if requested. But, I'd prefer to land bug 769976 first.
Comment 1 Gregory Szorc [:gps] 2012-07-28 16:06:54 PDT
Created attachment 646919 [details] [diff] [review]
Part 2: Add new Function APIs; round out Expansion APIs, v1
Comment 2 Gregory Szorc [:gps] 2012-07-28 16:28:13 PDT
Created attachment 646923 [details] [diff] [review]
Part 1: Add new Expansion APIs, v2

Removed the leading "get_" from method names per style advice.
Comment 3 Gregory Szorc [:gps] 2012-07-28 16:28:58 PDT
Created attachment 646924 [details] [diff] [review]
Part 2: Add new Function APIs; round out Expansion APIs, v2

Removed "get_" from method names. Included missing test file.
Comment 4 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2012-08-06 10:18:31 PDT
Comment on attachment 646923 [details] [diff] [review]
Part 1: Add new Expansion APIs, v2

Review of attachment 646923 [details] [diff] [review]:
-----------------------------------------------------------------

Unfortunately I don't really have time to review this.  Let's just land it.
Comment 5 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2012-08-06 10:18:50 PDT
Comment on attachment 646924 [details] [diff] [review]
Part 2: Add new Function APIs; round out Expansion APIs, v2

Review of attachment 646924 [details] [diff] [review]:
-----------------------------------------------------------------

Unfortunately I don't really have time to review this.  Let's just land it.

Note You need to log in before you can comment on or make changes to this bug.